angular.module('beamng.apps')
.directive('engineControl', [function () {
  return {
    template:
    '<div style="max-height:100%; width:100%; background:transparent;" layout="row" layout-align="center center" layout-wrap>' +
      '<md-button flex style="margin: 2px; min-width: 198px" md-no-ink class="md-raised" ng-click="startEngine()">Start engine</md-button>' +
      '<md-button flex style="margin: 2px; min-width: 122px" md-no-ink class="md-raised" ng-click="stopEngine()">Stop engine</md-button>' +
    '</div>',
    replace: true,
    restrict: 'EA',
    scope: true,
    controller: ['$log', '$scope', 'bngApi', function ($log, $scope, bngApi) {

        $scope.startEngine = function () {
            bngApi.activeObjectLua('drivetrain.engineDisabled = false');
        };

        $scope.stopEngine = function () {
            bngApi.activeObjectLua('drivetrain.engineDisabled = true');
        };

    }]
  };
}]);